Lagrangian
POST
/testing/start

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/testing/start" \  -H "Content-Type: application/json" \  -d '{    "test_graph": {      "test_job_controller": {        "acceleration_mode": "MLGPUSimulationCPU",        "compute_instance": "AWSG4dn",        "test_method": {          "content": {            "control_model": {              "content": {                "hidden_layer_dim": 0,                "input_dim": 0,                "input_spec": {                  "content": {                    "all_cameras": true,                    "contact_pairs": true,                    "genforces_state": true,                    "is_diff": true,                    "qpos_state": true,                    "qvel_state": true,                    "xpos_state": true,                    "xquat_state": true                  },                  "type": "OrdinaryConfiguration"                },                "model_type": {                  "content": {                    "content": "Pi0",                    "type": "Pretrained"                  },                  "type": "Checkpoint"                },                "num_hidden_layers": 0,                "output_dim": 0              },              "type": "MLP"            },            "simulation_model": "string",            "test_params": {              "num_parallel_envs": 0,              "num_timesteps": 0            }          },          "type": "Custom"        }      }    }  }'
{  "id": "string"}
Empty
Empty